#ifndef _SENSOR_H_
#define _SENSOR_H_

struct sqcam;

struct sensor_t {
	int (*init_cam)(struct sqcam* cam);
	int (*reset_cam)(struct sqcam* cam);

	/* variables */
	struct usb_device* 	udev;
};

extern int sensor_sq905_probe(struct sqcam* cam);
extern int sensor_hv7131r_probe(struct sqcam* cam);

#define SQCAM_TABLE_SENSORS 			\
static int (*sensor_table[])(struct sqcam*) = {	\
	&sensor_sq905_probe,			\
	&sensor_hv7131r_probe,			\
	NULL					\
};


#endif
